<div class="modal-dialog">    
  <!-- Modal content-->
  <div class="modal-content">
    <div class="modal-header">
      <h4 class="modal-title">Add Food<img style="width: 17px; padding-bottom: 9px;" src='/static/icons/cutlery.png'/></h4>
      <button type="button" class="close" data-dismiss="modal">&times;</button>  
    </div>

  <div class="modal-body">
    <form  action="/addFoodModal/{{activeCountry}}" method="post" role="form">
    {{ foodForm.csrf }}
    <div class="form-group" id="addFoodForm">
      <label for="foodName">*Name:</label>
      <input type="text" class="form-control" id="name" name="name" placeholder="E.g. Fritland">

      <br>
      <label for="city">City:</label>
      <!--input id="pac-input" class="controls" type="text" placeholder="Search Box"-->
      <div class="btn-group">
        <button type="button" class="btn btn-default dropdown-toggle" data-toggle="dropdown">
          <span class="caret" id="selectedCity">Choose Location</span>
        </button>
        <br>
           <ul class="dropdown-menu">
            {% for country in countries %}
              {% if country.name == activeCountry %}
                {% for city in country.countryCities %}
                <li>
                <label class="dropdown-menu-item radio">
                  <input type="radio" name="radioValue" value="{{city.name}}"/>
                    {{city.name}}
                </label>
                </li>
                {% endfor %}
              {%endif%}
            {% endfor %}
            <li>
              <button class="btn btn-link dropdown-menu-item">
                Add city
              </button>
            </li>
          </ul>
      </div>

      <br>
      <label for="address">Address:</label> 
      <input type="text" class="form-control" id="address" name="address" placeholder="E.g. Rue Henri Maus 49, 1000 Bruxelles, Belgium">
      <br>
      <label for="mealType">Meal Type:</label>
      <select id="mealType" name="mealType" class="form-control">
        {% for key, value in mealTypeList %}
          <option value="{{key}}"  >
            {{value}}
          </option>
        {% endfor %}
      </select>
      <br>
      <label for="interestLevel">Interest Level (1-5):</label>
      <div class="slidecontainer">
        <input id="range" type="range" name="interestLevel" min="0" step="1" max="4" value="2" class="white" onchange="updateTextInput(this.value);">
        <p id="value2">Won't be heartbroken if I didn't go</p>
      </div>
      <br>
      <label for="foodNotes">Notes:</label>
      <br>
      <textarea id="foodNotes" rows="5" cols="50" name="foodNotes"></textarea>
    </div>
    <button type="submit" class="btn btn-success">Save</button>
    </form>  
 </div>
 <div class="modal-footer">
    <button type="button" class="btn btn-default" data-dismiss="modal">Cancel</button>
  </div>
</div>

<script>
function updateTextInput() {
  var value1 = Number(document.getElementById("range").value);
  var value2 = "";
  var interestList = {{ interestLevelList|tojson|safe }};

  document.getElementById('value2').innerHTML = interestList[value1];  
};

var radios = $("input:radio");
radios.click(function () {
  radios.removeAttr('checked');
  $(this).prop("checked", true);
  
  document.getElementById('selectedCity').innerHTML = $(this).val();
  return true;
});

 /*function initAutocomplete() {
        var map = new google.maps.Map(document.getElementById('map'), {
          center: {lat: -33.8688, lng: 151.2195},
          zoom: 13,
          mapTypeId: 'roadmap'
        });

        // Create the search box and link it to the UI element.
        var input = document.getElementById('pac-input');
        var searchBox = new google.maps.places.SearchBox(input);
        map.controls[google.maps.ControlPosition.TOP_LEFT].push(input);

        // Bias the SearchBox results towards current map's viewport.
        map.addListener('bounds_changed', function() {
          searchBox.setBounds(map.getBounds());
        });

        var markers = [];
        // Listen for the event fired when the user selects a prediction and retrieve
        // more details for that place.
        searchBox.addListener('places_changed', function() {
          var places = searchBox.getPlaces();

          if (places.length == 0) {
            return;
          }

          // Clear out the old markers.
          markers.forEach(function(marker) {
            marker.setMap(null);
          });
          markers = [];

          // For each place, get the icon, name and location.
          var bounds = new google.maps.LatLngBounds();
          places.forEach(function(place) {
            if (!place.geometry) {
              console.log("Returned place contains no geometry");
              return;
            }
            var icon = {
              url: place.icon,
              size: new google.maps.Size(71, 71),
              origin: new google.maps.Point(0, 0),
              anchor: new google.maps.Point(17, 34),
              scaledSize: new google.maps.Size(25, 25)
            };

            // Create a marker for each place.
            markers.push(new google.maps.Marker({
              map: map,
              icon: icon,
              title: place.name,
              position: place.geometry.location
            }));

            if (place.geometry.viewport) {
              // Only geocodes have viewport.
              bounds.union(place.geometry.viewport);
            } else {
              bounds.extend(place.geometry.location);
            }
          });
          map.fitBounds(bounds);
        });
      }*/
</script>
<script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyAWVNFheWxkAkPCxz6xEVviA7tnhyURG80&libraries=places&callback=initAutocomplete"
         async defer></script>